Bug 102446 - XQuartz does not launch on macOS Sierra 10.12.4.
Summary: XQuartz does not launch on macOS Sierra 10.12.4.
Status: RESOLVED INVALID
Alias: None
Product: XQuartz
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 2.0 (xserver-1.2.0)
Hardware: Other Mac OS X (All)
: highest blocker
Assignee: Jeremy Huddleston Sequoia
QA Contact: Jeremy Huddleston Sequoia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-28 07:31 UTC by Robert Schwarz
Modified: 2017-08-29 16:49 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Robert Schwarz 2017-08-28 07:31:47 UTC
XQuartz 2.7.11 doesn't launch on macOS Sierra 10.12.4 (16E195) running on a 
2.3 GHz Intel Core i5 processor (pops-up in the Dock, never starts and asks me after a while to send a bug report to Apple Inc.). After having to upgrade from tiger to lion and now to macOS Sierra, I can't install any X11 related open-source packages from www.finkproject.org . Since I currently can't use any of my science related software,
this is a severe show-stopper for me.

Hope this can be fixed at some point. 

Thanx in advance, 
Dr. RObert Schwarz
Berlin, Germany
Comment 1 Jeremy Huddleston Sequoia 2017-08-29 06:48:12 UTC
This is a bug tracker, not a support forum.

Please provide more details and ask for help on the x11-users mailing list.
Comment 2 Robert Schwarz 2017-08-29 16:12:11 UTC
On Tue, Aug 29, 2017 at 06:48:22AM +0000, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=102446
> 
> Jeremy Huddleston Sequoia <jeremyhu@freedesktop.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>          Resolution|---                         |INVALID
>              Status|NEW                         |RESOLVED
> 
> -- 
> You are receiving this mail because:
> You reported the bug.

Can you actually specify, how you resolved this severe bug, otherwise as,
just setting its status to INVALID. Probably not. Yesterday I
spend half an hour of my lifetime to file this problem to you, and your 
your reaction is to refer me to some x11 mailing list??? WTH? 

In our country your behavior would be regarded as highly unpolite. 
Fix your broken Xquartz.app and dont treat normal users as
as flocking, stupid dumpholes. I have better things in my life to do.

Dr. Robert Schwarz
Berlin, Germany
Comment 3 Robert Schwarz 2017-08-29 16:49:33 UTC
On Tue, Aug 29, 2017 at 06:48:12AM +0000, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=102446
> 
> --- Comment #1 from Jeremy Huddleston Sequoia <jeremyhu@freedesktop.org> ---
> This is a bug tracker, not a support forum.
> 
> Please provide more details and ask for help on the x11-users mailing list.
> 
> -- 
> You are receiving this mail because:
> You reported the bug.

Yesterday I filed following bug (id=102446) on bugzilla which You
instantaneously deleted and marked as resolved:

>XQuartz 2.7.11 doesn't launch on macOS Sierra 10.12.4 (16E195) running
>on a 2.3 GHz Intel Core i5 processor (pops-up in the Dock, never starts and
>asks me after a while to send a bug report to Apple Inc.). After having
>to upgrade from tiger to lion and now to macOS Sierra, I can't install
>any X11 related open-source packages from www.finkproject.org . Since I
>currently can't use any of my science related software,
>this is a severe show-stopper for me.

Please tell me which further details do You need? 

Maybe I should mention that as of May 2, 2017 Apple Inc. doesnt ship
any X11-related files anymore:
https://support.apple.com/en-us/HT201341

The latest version of Xquartz (2.7.11) is from late October last Year:
https://en.wikipedia.org/wiki/XQuartz

It seems that you have to incorporate that change from Apple into Xquartz at some point.... 
How should we proceed? Should I refile that problem on bugzilla? Probably yes.
The most funny behavior of your Xquartz is, that after a while jumping
around in the Dock.app and then dissappearing, a window pops-up and asks
me to file a bug report to Apple, which terminated X11 support spring
this year. So there is obviously something severly broken.

Have a day,

Dr. RObert Schwarz
Berlin, Germany


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.